Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.902517
Category:SMTP problems
Title:Postfix SMTP Server Cyrus SASL Support Memory Corruption Vulnerability
Summary:This host is running Postfix SMTP server and is prone to memory; corruption vulnerability.
Description:Summary:
This host is running Postfix SMTP server and is prone to memory
corruption vulnerability.

Vulnerability Insight:
The flaw is caused by a memory corruption error in the Cyrus SASL library
when used with 'CRAM-MD5' or 'DIGEST-MD5' authentication mechanisms, which could allow remote attackers to
crash an affected server or execute arbitrary code.

Vulnerability Impact:
Successful exploitation could allow remote attackers to cause a denial of
service or possibly execute arbitrary code.

Affected Software/OS:
Postfix versions before 2.5.13, 2.6.x before 2.6.10, 2.7.x before 2.7.4,
and 2.8.x before 2.8.3.

Solution:
Upgrade to Postfix version 2.5.13, 2.6.10, 2.7.4, or 2.8.3 or later.

CVSS Score:
6.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:P

Cross-Ref: BugTraq ID: 47778
Common Vulnerability Exposure (CVE) ID: CVE-2011-1720
http://www.securityfocus.com/bid/47778
Bugtraq: 20110509 Memory corruption in Postfix SMTP server Cyrus SASL support (CVE-2011-1720) (Google Search)
http://www.securityfocus.com/archive/1/517917/100/0/threaded
CERT/CC vulnerability note: VU#727230
http://www.kb.cert.org/vuls/id/727230
Debian Security Information: DSA-2233 (Google Search)
http://www.debian.org/security/2011/dsa-2233
http://security.gentoo.org/glsa/glsa-201206-33.xml
http://www.mandriva.com/security/advisories?name=MDVSA-2011:090
http://www.mail-archive.com/postfix-announce@postfix.org/msg00007.html
http://www.osvdb.org/72259
http://www.securitytracker.com/id?1025521
http://secunia.com/advisories/44500
http://securityreason.com/securityalert/8247
SuSE Security Announcement: SUSE-SA:2011:023 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2011-05/msg00002.html
http://www.ubuntu.com/usn/usn-1131-1
XForce ISS Database: postfix-cyrus-sasl-code-exec(67359)
https://exchange.xforce.ibmcloud.com/vulnerabilities/67359
CopyrightCopyright (C) 2011 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.